Closed Bug 566336 Opened 9 years ago Closed 9 years ago

Intermittent timeout after browser_cookies2.js, browser_cookies3.js or browser_cookies4.js | must wait for focus

Categories

(Core Graveyard :: Installer: XPInstall Engine, defect)

x86
Linux
defect
Not set

Tracking

(Not tracked)

RESOLVED WORKSFORME

People

(Reporter: mats, Unassigned)

References

Details

(Keywords: intermittent-failure)

Timeout from or after browser_cookies2.js with TEST-INFO | (browser-test.js) | Waiting for window activation...

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1274102999.1274105788.32037.gz
Rev3 Fedora 12 mozilla-central debug test mochitest-other on 2010/05/17 06:29:59
s: talos-r3-fed-024
TEST-UNEXPECTED-FAIL | automation.py | application timed out after 330 seconds with no output


Running chrome://mochikit/content/browser/toolkit/mozapps/extensions/test/xpinstall/browser_cookies2.js...
*** LOG addons.xpi: Download started for http://example.com/browser/toolkit/mozapps/extensions/test/xpinstall/cookieRedirect.sjs?http://example.com/browser/toolkit/mozapps/extensions/test/xpinstall/unsigned.xpi to file /tmp/tmp-kms.xpi
*** LOG addons.xpi: Download of http://example.com/browser/toolkit/mozapps/extensions/test/xpinstall/cookieRedirect.sjs?http://example.com/browser/toolkit/mozapps/extensions/test/xpinstall/unsigned.xpi completed.
TEST-INFO | chrome://mochikit/content/browser/toolkit/mozapps/extensions/test/xpinstall/browser_cookies2.js | Console message: LOG addons.xpi: Download started for http://example.com/browser/toolkit/mozapps/extensions/test/xpinstall/cookieRedirect.sjs?http://example.com/browser/toolkit/mozapps/extensions/test/xpinstall/unsigned.xpi to file /tmp/tmp-kms.xpi
TEST-INFO | chrome://mochikit/content/browser/toolkit/mozapps/extensions/test/xpinstall/browser_cookies2.js | Console message: LOG addons.xpi: Download of http://example.com/browser/toolkit/mozapps/extensions/test/xpinstall/cookieRedirect.sjs?http://example.com/browser/toolkit/mozapps/extensions/test/xpinstall/unsigned.xpi completed.
*** LOG addons.xpi: Starting install of http://example.com/browser/toolkit/mozapps/extensions/test/xpinstall/cookieRedirect.sjs?http://example.com/browser/toolkit/mozapps/extensions/test/xpinstall/unsigned.xpi
*** LOG addons.xpi: Install of http://example.com/browser/toolkit/mozapps/extensions/test/xpinstall/cookieRedirect.sjs?http://example.com/browser/toolkit/mozapps/extensions/test/xpinstall/unsigned.xpi completed.
*** LOG addons.xpi: Cancelling install of unsigned-xpi@tests.mozilla.org
checkTestPending 1
TEST-INFO | chrome://mochikit/content/browser/toolkit/mozapps/extensions/test/xpinstall/browser_cookies2.js | Console message: LOG addons.xpi: Starting install of http://example.com/browser/toolkit/mozapps/extensions/test/xpinstall/cookieRedirect.sjs?http://example.com/browser/toolkit/mozapps/extensions/test/xpinstall/unsigned.xpi
TEST-INFO | chrome://mochikit/content/browser/toolkit/mozapps/extensions/test/xpinstall/browser_cookies2.js | Console message: LOG addons.xpi: Install of http://example.com/browser/toolkit/mozapps/extensions/test/xpinstall/cookieRedirect.sjs?http://example.com/browser/toolkit/mozapps/extensions/test/xpinstall/unsigned.xpi completed.
TEST-INFO | chrome://mochikit/content/browser/toolkit/mozapps/extensions/test/xpinstall/browser_cookies2.js | Console message: LOG addons.xpi: Cancelling install of unsigned-xpi@tests.mozilla.org
TEST-PASS | chrome://mochikit/content/browser/toolkit/mozapps/extensions/test/xpinstall/browser_cookies2.js | 1 Add-on should have been successfully installed
TEST-PASS | chrome://mochikit/content/browser/toolkit/mozapps/extensions/test/xpinstall/browser_cookies2.js | Should be no active installs at the end of the test
###!!! ASSERTION: Uh, IsInModalState() called w/o a reachable top window?: 'Error', file /builds/slave/mozilla-central-linux-debug/build/dom/base/nsGlobalWindow.cpp, line 5981
TEST-INFO | checking window state
TEST-INFO | (browser-test.js) | Waiting for window activation...
TEST-UNEXPECTED-FAIL | automation.py | application timed out after 330 seconds with no output
This should be fixed my patch in bug 543278.

Please reopen if you see this on trunk from this point on.
Assignee: nobody → ehsan
Status: NEW → RESOLVED
Closed: 9 years ago
Depends on: 543278
Resolution: --- → FIXED
Whiteboard: [orange] → [orange][fixed by bug 543278]
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1274289334.1274291302.17685.gz
Status: RESOLVED → REOPENED
Resolution: FIXED → ---
Whiteboard: [orange][fixed by bug 543278] → [orange]
Summary: Timeout from or after browser_cookies2.js with TEST-INFO | (browser-test.js) | Waiting for window activation... → Intermittent timeout after browser_cookies2.js | must wait for focus
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1274389747.1274393215.20723.gz
Rev3 Fedora 12x64 mozilla-central debug test mochitest-other on 2010/05/20 14:09:07
s: talos-r3-fed64-015
Summary: Intermittent timeout after browser_cookies2.js | must wait for focus → Intermittent timeout after browser_cookies2.js or browser_cookies4.js | must wait for focus
I'm out of ideas here.  We probably need someone who knows about the internals of the focus code and how it works on Linux to help here.
Assignee: ehsan → nobody
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1274705115.1274707629.30467.gz
Summary: Intermittent timeout after browser_cookies2.js or browser_cookies4.js | must wait for focus → Intermittent timeout after browser_cookies2.js, browser_cookies3.js or browser_cookies4.js | must wait for focus
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1275104269.1275106254.6470.gz
Rev3 Fedora 12x64 mozilla-central debug test mochitest-other on 2010/05/28 20:37:49
s: talos-r3-fed64-030
Blocks: 438871
Seems to have gone away so there is no reason to keep this open.
Status: REOPENED → RESOLVED
Closed: 9 years ago9 years ago
Resolution: --- → WORKSFORME
Whiteboard: [orange]
Product: Core → Core Graveyard
You need to log in before you can comment on or make changes to this bug.